Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.transaction
Interface UserTransaction

All Superinterfaces:
  UserTransaction

    public interface UserTransaction

extends UserTransaction

Extends the standard UserTransaction interface with a couple of helpful methods.

Author:
  Gavin King

Method Summary
`void` | `enlist(javax.persistence.EntityManager entityManager)`
`boolean` | `isActive()`
`boolean` | `isActiveOrMarkedRollback()`
`boolean` | `isCommitted()`
`boolean` | `isConversationContextRequired()`
`boolean` | `isMarkedRollback()`
`boolean` | `isNoTransaction()`
`boolean` | `isRolledBack()`
`boolean` | `isRolledBackOrMarkedRollback()`
`void` | `registerSynchronization(Synchronization sync)`

Methods inherited from interface javax.transaction.UserTransaction
`begin, commit, getStatus, rollback, setRollbackOnly, setTransactionTimeout`

Method Detail

### isActive

    boolean isActive()
                     throws SystemException

  Throws:
    `SystemException`

### isActiveOrMarkedRollback

    boolean isActiveOrMarkedRollback()
                                     throws SystemException

  Throws:
    `SystemException`

### isRolledBackOrMarkedRollback

    boolean isRolledBackOrMarkedRollback()
                                         throws SystemException

  Throws:
    `SystemException`

### isMarkedRollback

    boolean isMarkedRollback()
                             throws SystemException

  Throws:
    `SystemException`

### isNoTransaction

    boolean isNoTransaction()
                            throws SystemException

  Throws:
    `SystemException`

### isRolledBack

    boolean isRolledBack()
                         throws SystemException

  Throws:
    `SystemException`

### isCommitted

    boolean isCommitted()
                        throws SystemException

  Throws:
    `SystemException`

### isConversationContextRequired

    boolean isConversationContextRequired()

### registerSynchronization

    void registerSynchronization(Synchronization sync)

### enlist

    void enlist(javax.persistence.EntityManager entityManager)
                throws SystemException

  Throws:
    `SystemException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 Seam Framework. All Rights Reserved.